package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.TBusiHazIdenMwZMapper;
import com.goldenwater.slaj.hazard.domain.TBusiHazIdenMwZ;
import com.goldenwater.slaj.hazard.service.ITBusiHazIdenMwZService;

/**
 * 辨识表MW_Z版 服务层实现
 */
@Service
public class TBusiHazIdenMwZServiceImpl implements ITBusiHazIdenMwZService {

    @Autowired
    private TBusiHazIdenMwZMapper tBusiHazIdenMwZMapper;

    /**
     * 查询辨识表MW_Z版信息
     * @param guid 查询条件
     * @return 辨识表MW_Z版信息
     */
    @Override
    public TBusiHazIdenMwZ selectTBusiHazIdenMwZByGuid(String guid) {
        return tBusiHazIdenMwZMapper.selectTBusiHazIdenMwZByGuid(guid);
    }

    /**
     * 查询辨识表MW_Z版列表
     * @param tBusiHazIdenMwZ 辨识表MW_Z版查询条件
     * @return 辨识表MW_Z版集合
     */
    @Override
    public List<TBusiHazIdenMwZ> selectTBusiHazIdenMwZList(TBusiHazIdenMwZ tBusiHazIdenMwZ) {
        return tBusiHazIdenMwZMapper.selectTBusiHazIdenMwZList(tBusiHazIdenMwZ);
    }

    /**
     * 新增辨识表MW_Z版
     * @param tBusiHazIdenMwZ 辨识表MW_Z版信息
     * @return 影响行数
     */
    @Override
    public int insertTBusiHazIdenMwZ(TBusiHazIdenMwZ tBusiHazIdenMwZ) {
        return tBusiHazIdenMwZMapper.insertTBusiHazIdenMwZ(tBusiHazIdenMwZ);
    }

    /**
     * 修改辨识表MW_Z版
     * @param tBusiHazIdenMwZ 辨识表MW_Z版信息
     * @return 影响行数
     */
    @Override
    public int updateTBusiHazIdenMwZ(TBusiHazIdenMwZ tBusiHazIdenMwZ) {
        return tBusiHazIdenMwZMapper.updateTBusiHazIdenMwZ(tBusiHazIdenMwZ);
    }

    /**
     * 删除辨识表MW_Z版
     * @param guid 辨识表MW_Z版主键
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazIdenMwZByGuid(String guid) {
        return tBusiHazIdenMwZMapper.deleteTBusiHazIdenMwZByGuid(guid);
    }

    /**
     * 批量删除辨识表MW_Z版
     * @param guids 辨识表MW_Z版主键数组
     * @return 影响行数
     */
    @Override
    public int deleteTBusiHazIdenMwZByGuids(String[] guids) {
        return tBusiHazIdenMwZMapper.deleteTBusiHazIdenMwZByGuids(guids);
    }
}
